| The Gaudi Framework v32r1 (f65d50dc)

Macros | Functions
Application.cpp File Reference
`#include <Gaudi/Application.h>`
`#include <GaudiKernel/AppReturnCode.h>`
`#include <GaudiKernel/Bootstrap.h>`
`#include <GaudiKernel/IAppMgrUI.h>`
`#include <GaudiKernel/IEventProcessor.h>`
`#include <GaudiKernel/IJobOptionsSvc.h>`
`#include <GaudiKernel/IMessageSvc.h>`
`#include <GaudiKernel/INamedInterface.h>`
`#include <GaudiKernel/IProperty.h>`
`#include <GaudiKernel/ISvcLocator.h>`
`#include <GaudiKernel/Property.h>`
`#include <gsl/span>`
Include dependency graph for Application.cpp:

Go to the source code of this file.

## Macros
#define | GAUDI_ASSERT_THROW_NAME(cond, msg, name) if ( !cond ) throw GaudiException{msg, name, StatusCode::FAILURE};
#define | GAUDI_ASSERT_THROW(cond, msg) if ( !cond ) throw GaudiException{msg, this->name(), StatusCode::FAILURE};

## Functions
Gaudi::Application * | _py_Gaudi__Application__create (const char *name, const c_opt_t *options, long n)
int | _py_Gaudi__Application__run (Gaudi::Application *self)
void | _py_Gaudi__Application__delete (Gaudi::Application *self)

## Macro Definition Documentation

## ◆ GAUDI_ASSERT_THROW

#define GAUDI_ASSERT_THROW | ( |  | cond,
|  |  | msg
| ) |  | if ( !cond ) throw GaudiException{msg, this->name(), StatusCode::FAILURE};

Definition at line 17 of file Application.cpp.

## ◆ GAUDI_ASSERT_THROW_NAME

#define GAUDI_ASSERT_THROW_NAME | ( |  | cond,
|  |  | msg,
|  |  | name
| ) |  | if ( !cond ) throw GaudiException{msg, name, StatusCode::FAILURE};

Definition at line 14 of file Application.cpp.

## Function Documentation

## ◆ _py_Gaudi__Application__create()

Gaudi::Application* _py_Gaudi__Application__create | ( | const char * | name,
|  | const c_opt_t * | options,
|  | long | n
| ) |  |

Definition at line 105 of file Application.cpp.

105 {
106 Gaudi::Application::Options opts;
107 gsl::span py_opts{options, n};
108 for ( auto& opt : py_opts ) { opts[opt.key] = opt.value; }
109 return Gaudi::Application::create( name, std::move( opts ) ).release();
110 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
gaudirun.opts
opts
Definition: gaudirun.py:307
gaudirun.options
options
Definition: gaudirun.py:285
GaudiPluginService.cpluginsvc.n
n
Definition: cpluginsvc.py:210
Gaudi.Application.create
def create(cls, appType, opts)
Definition: __init__.py:83
std::move
T move(T... args)
Gaudi.Application::Options
std::map< std::string, std::string > Options
Definition: Application.h:19

## ◆ _py_Gaudi__Application__delete()

void _py_Gaudi__Application__delete | ( | Gaudi::Application * | self | ) |

Definition at line 112 of file Application.cpp.

112 { delete self; }

## ◆ _py_Gaudi__Application__run()

int _py_Gaudi__Application__run | ( | Gaudi::Application * | self | ) |

Definition at line 111 of file Application.cpp.

111 { return self->run(); }